Skip to main content
GET
/
v1
/
apps
/
{app_id}
/
analytics
Get app analytics overview
curl --request GET \
  --url https://api.mixpeek.com/v1/apps/{app_id}/analytics \
  --header 'Authorization: Bearer <token>'
{
  "app_id": "<string>",
  "period_hours": 123,
  "total_errors": 123,
  "error_rate_per_minute": 123,
  "errors_over_time": [
    {
      "timestamp": "<string>",
      "count": 123
    }
  ],
  "vitals": [
    {
      "metric_name": "<string>",
      "p50": 123,
      "p75": 123,
      "p95": 123,
      "sample_count": 123
    }
  ],
  "recent_errors": [
    {
      "timestamp": "<string>",
      "error_type": "<string>",
      "error_message": "<string>",
      "url": "<string>"
    }
  ],
  "total_events": 123,
  "total_pageviews": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string
required

Query Parameters

hours
integer
default:24

Lookback window in hours

Required range: 1 <= x <= 720

Response

Successful Response

app_id
string
required
period_hours
integer
required
total_errors
integer
required
error_rate_per_minute
number
required
errors_over_time
ErrorBucket · object[]
required
vitals
VitalsSummary · object[]
required
recent_errors
RecentError · object[]
required
total_events
integer
required
total_pageviews
integer
required